curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/employees/{employee} \
--header 'Authorization: Bearer <token>'{
"id": "<id>",
"object": "employee",
"data": {
"company": {
"id": "<id>",
"object": "company",
"links": {
"self": "/companies/<id>"
}
},
"employee_number": "001",
"first_name": "Marley",
"last_name": "Prosacco",
"middle_initial": null,
"personal_email": "marley.prosacco@personal.test",
"work_email": "mprosacco@work.test",
"address_line_1": "Angelina Ridge",
"address_line_2": null,
"city": "Toronto",
"province_code": "ON",
"country_code": "CA",
"postal_code": "M1M1M1",
"sin": "196710156",
"sin_last_3": "156",
"date_of_birth": "1985-01-20",
"warnings": {
"object": "list",
"data": [
{
"object": "warning",
"data": {
"namespace": "onboarding",
"type": "bank_account_doesnt_exists"
}
}
]
},
"external_ref": null,
"preferred_locale": null,
"archived_at": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/employees/<id>"
}
}Retrieve an employee
curl --request GET \
--url https://sandbox.nmbr.co/services/payroll/employees/{employee} \
--header 'Authorization: Bearer <token>'{
"id": "<id>",
"object": "employee",
"data": {
"company": {
"id": "<id>",
"object": "company",
"links": {
"self": "/companies/<id>"
}
},
"employee_number": "001",
"first_name": "Marley",
"last_name": "Prosacco",
"middle_initial": null,
"personal_email": "marley.prosacco@personal.test",
"work_email": "mprosacco@work.test",
"address_line_1": "Angelina Ridge",
"address_line_2": null,
"city": "Toronto",
"province_code": "ON",
"country_code": "CA",
"postal_code": "M1M1M1",
"sin": "196710156",
"sin_last_3": "156",
"date_of_birth": "1985-01-20",
"warnings": {
"object": "list",
"data": [
{
"object": "warning",
"data": {
"namespace": "onboarding",
"type": "bank_account_doesnt_exists"
}
}
]
},
"external_ref": null,
"preferred_locale": null,
"archived_at": null,
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/employees/<id>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
company, work_assignments Response
OK
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("employee").
- Default
- With company expanded
- With work_assignments expanded
Hide child attributes
Hide child attributes
An optional identifier for the employee within the partner's system, such as a badge number or HR system ID. Distinct from id and external_ref.
40The employee's first name.
50The employee's last name.
50The employee's middle initial.
1The employee's personal email address, used as the primary address for payroll communications such as Pay Stub emails.
255The employee's work email address. Used for payroll communications if personal_email is not set.
255The first line of the employee's mailing address. This character limit (30) is set by government reporting requirements, not application-level validation.
255The second line of the employee's mailing address. This character limit (30) is set by government reporting requirements, not application-level validation.
30The city of the employee's mailing address.
255The province code for the employee's mailing address. This is the Province of Residence (POR), not the Province of Employment (POE) or Province of Work (POW). POE and POW are configured via the Work Assignment's Tax Properties.
AB, BC, FEDERAL, MB, NB, NL, NS, NT, NU, OC, ON, PE, QC, SK, YT 3The country code for the employee's mailing address.
CA 2The postal code for the employee's mailing address.
10This attribute is deprecated and will be removed.
The employee's Social Insurance Number (SIN), used for tax reporting.
If you only need the last 3 digits for display purposes, use sin_last_3 instead. If you need the complete SIN, use the /employees/:id/reveal endpoint instead. Note the /reveal endpoint can only reveal one employee at a time and is rate-limited for security reasons.
The last 3 digits of the employee's Social Insurance Number (SIN). null if no SIN has been provided.
The employee's date of birth.
A collection of data validation warnings for this employee. Warnings indicate incomplete or potentially incorrect data and could prevent payroll processing.
A reference to the object in an external system, e.g. the primary key of the object in your application's database. Nmbr doesn't use, validate, parse, or require this value to be unique - it simply stores it for your reference.
255The locale used for payroll communications sent to this employee, such as Pay Stub emails. If not set, the Business Entity's locale is used.
en, fr The date the employee was archived. Archiving an employee also archives all Work Assignments that are not already archived. Archived employees do not appear in active listings.
The date and time the object was created in Nmbr.
The date and time the object was last updated in Nmbr.

